Commit 2549f1c6 by Mauricio Diaz

[ci] edit dependencies on environment file, to handle linux available packages

parent f19f1aa8
......@@ -41,10 +41,6 @@ create_environment_linux_ubuntu:
- install
- linux
script:
- echo $SHELL
- cat ~/.bashrc
- source ~/.bashrc
- echo $PATH
- conda env create -f environment.yml
- source activate clinica_env
- pip install -e .
......
......@@ -2,70 +2,30 @@ name: clinica_env
channels:
- defaults
dependencies:
- ca-certificates=2018.03.07=0
- certifi=2018.1.18=py27_0
- libcxx=4.0.1=h579ed51_0
- libcxxabi=4.0.1=hebd6815_0
- libedit=3.1=hb4e282d_0
- libffi=3.2.1=h475c297_4
- ncurses=6.0=hd04f020_2
- openssl=1.0.2o=h26aff7b_0
- pip=9.0.3=py27_0
- python=2.7.14=h138c1fe_31
- readline=7.0=hc1231fa_4
- setuptools=39.0.1=py27_0
- sqlite=3.22.0=h3efe00b_0
- tk=8.6.7=h35a86e2_3
- wheel=0.31.0=py27_0
- zlib=1.2.11=hf3cbc9b_2
- python=2.7
- pip=9.*
- pip:
- argcomplete==1.9.4
- attrs==17.4.0
- backports.functools-lru-cache==1.5
- colorama==0.3.9
- configparser==3.5.0
- cycler==0.10.0
- decorator==4.3.0
- dipy==0.13.0
- funcsigs==1.0.2
- future==0.16.0
- grabbit==0.1.1
- h5py==2.7.1
- isodate==0.6.0
- jinja2==2.10
- kiwisolver==1.0.1
- lxml==4.2.1
- markupsafe==1.0
- matplotlib==2.2.2
- mock==2.0.0
- more-itertools==4.1.0
- networkx==1.11
- nibabel==2.2.1
- nibabel>=2.0.2
- nipype==0.12.1
- nose==1.3.7
- num2words==0.5.6
- numpy==1.14.2
- pandas==0.22.0
- pbr==4.0.2
- pillow==5.1.0
- plinkio==0.9.6
- pluggy==0.6.0
- pybids>=0.1
- dipy>=0.6.0
- argcomplete>=1.4.1
- configparser>=3.5.0
- pandas>=0.18.1
- nose>=1.3.7
- jinja2>=2.9
- xvfbwrapper>=0.2.8
- networkx<2.0.0
- plinkio>=0.9.6
- six>=1.9.0
- numpy>=1.8.2
- scipy>=0.13.3
- scikit-learn>=0.18.2
- scikit-image>=0.13.0
- sharedmem>=0.3.5
- xlrd>=0.9.0
- grabbit>=0.0.8
- colorama>=0.3.9
- prov==1.5.0
- py==1.5.3
- pybids==0.5.1
- pyparsing==2.2.0
- pytest==3.5.0
- python-dateutil==2.7.2
- pytz==2018.4
- pywavelets==0.5.2
- rdflib==4.2.2
- scikit-image==0.13.1
- scikit-learn==0.19.1
- scipy==1.0.1
- sharedmem==0.3.5
- simplejson==3.13.2
- six==1.11.0
- subprocess32==3.2.7
- traits==4.6.0
- xlrd==1.1.0
- xvfbwrapper==0.2.9
- pytest>=3.4.0
:q
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment